Aller au contenu

database_api.find_owner_histories ​

Purpose ​

Retourne l'historique de l'autorité du propriétaire (owner authority). Paramètres : owner:string

owner (string)
"steemit"Interroge l'historique du propriétaire du compte nommé "steemit".
"alice"Interroge l'historique du propriétaire du compte nommé "alice".

Parameters ​

PARAMETERS
json
{
  "owner": ""
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_owner_histories",
    "params": {
      "owner": "steemit"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_owner_histories",
    "params": {
      "owner": "alice"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "owner_auths": []
}